@charset "utf-8";

/* ======================================================================
/* root
====================================================================== */
:root {
  --color-brand: #00a9c8;
  --color-white: #ffffff;
  --color-black: #121815;
  --color-gray: #f7f7f7;
  --color-navy: #003a57;
  --color-yellow: #ffeb31;
  --color-orange: #ee713a;
  --color-light-orange: #ffc8b1;
  --color-red: #d63638;
  --color-green: #15879e;
  --color-turquoise-blue: #2eb6aa;
}

/* ======================================================================
/* html
====================================================================== */
html {
  scroll-behavior: smooth;
}

/* ======================================================================
/* a
====================================================================== */
a {
  text-decoration: none;
}

/* ======================================================================
/* ul ol
====================================================================== */
ul,
ol {
  list-style: none;
}

/* ======================================================================
/* br
====================================================================== */
.pc {
  display: block;
}

.sp {
  display: none;
}

@media screen and (width <=768px) {
  .pc {
    display: none;
  }

  .sp {
    display: block;
  }
}

/* ======================================================================
/* font-size
====================================================================== */
.fs-12 {
  font-size: 12px;
}

.fs-13 {
  font-size: 13px;
}

.fs-14 {
  font-size: 14px;
}

/* ======================================================================
/* img
====================================================================== */
img {
  display: block;
  margin: 0 auto;
  max-inline-size: 100%;
  vertical-align: bottom;
}

/* ======================================================================
/* fluidImg
====================================================================== */
@media screen and (width <= 768px) {
  .fluidImg {
    inline-size: 100%;
    block-size: auto;
  }
}

/* ======================================================================
/* section_title
====================================================================== */
.section_title {
  text-align: center;
}

/* ======================================================================
/* section_subTitle
====================================================================== */
.section_subTitle {
  text-align: center;
  margin-block: -10px 0;
}

/* ======================================================================
/* Menu
====================================================================== */
.hamburger-fade {
  position: fixed;
  inset-block-start: 0;
  inset-inline-end: calc(50% - 250px);
  z-index: 9999;
  inline-size: 50px;
  block-size: 50px;
  border: none;
  background: var(--color-black);
  cursor: pointer;

  & .wrapper {
    position: relative;
    width: 30px;
    height: 20px;
    margin: 10px auto;

    & .line {
      position: absolute;
      inset-inline-start: 0;
      inline-size: 100%;
      block-size: 1px;
      background-color: var(--color-white);
      transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);

      &:nth-child(1) {
        top: 0;
      }

      &:nth-child(2) {
        top: 9px;
      }

      &:nth-child(3) {
        top: 18px;
      }
    }
  }

  &.active .line {
    background-color: var(--color-white);

    &:nth-child(1) {
      transform: translateY(9px) rotate(45deg);
    }

    &:nth-child(2) {
      opacity: 0;
      transform: translateX(20px);
    }

    &:nth-child(3) {
      transform: translateY(-9px) rotate(-45deg);
    }
  }
}

.nav-fade {
  position: fixed;
  top: 0;
  left: 0;
  inline-size: 100%;
  block-size: 100vh;
  visibility: hidden;
  z-index: 9998;

  &.active {
    visibility: visible;

    & .nav-fade__bg {
      opacity: 1;
    }

    & .item {
      opacity: 1;
      transform: translateY(0);

      &:nth-child(1) {
        transition-delay: 0.2s;
      }

      &:nth-child(2) {
        transition-delay: 0.3s;
      }

      &:nth-child(3) {
        transition-delay: 0.4s;
      }

      &:nth-child(4) {
        transition-delay: 0.5s;
      }

      &:nth-child(5) {
        transition-delay: 0.6s;
      }

      &:nth-child(6) {
        transition-delay: 0.7s;
      }

      &:nth-child(7) {
        transition-delay: 0.8s;
      }

      &:nth-child(8) {
        transition-delay: 0.9s;
      }
    }
  }
}

.nav-fade__bg {
  position: absolute;
  top: 0;
  left: 0;
  inline-size: 100%;
  block-size: 100%;
  background: rgba(0, 0, 0, 0.7);
  opacity: 0;
  transition: opacity 0.5s cubic-bezier(0.23, 1, 0.32, 1);
}

.nav-fade__wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  width: 100%;
  height: 100%;
  padding: 5vh 36vw;
}

.nav-fadeList {
  margin: 0;
  padding: 0;
  list-style: none;

  & .item {
    position: relative;
    margin-block: 2vh;
    padding-inline-start: 30px;
    opacity: 0;
    transform: translateY(20px);
    transition: all 0.5s cubic-bezier(0.23, 1, 0.32, 1);
    display: flex;
    align-items: center;
  }
}

.nav-fade__number {
  position: absolute;
  left: 0;
  color: var(--color-white);
  font-size: 14px;
  line-height: 1;
}

.nav-fade__link {
  display: inline-block;
  color: var(--color-white);
  font-size: 18px;
  text-decoration: none;
  transition: color 0.3s ease;
  line-height: 1;
}

.nav-fade__link:hover {
  color: var(--color-brand);
}

@media screen and (width <= 768px) {
  .hamburger-fade {
    inset-inline-end: 0;
  }

  .nav-fade__wrapper {
    padding: 5vh 10vw;
  }

  .nav-fade__link {
    font-size: 20px;
  }

  .nav-fade__item {
    padding-left: 40px;
    margin-bottom: 1.5vh;
  }

  .nav-fade__info {
    padding-left: 40px;
  }
}

/* ======================================================================
/* target_nav
====================================================================== */
.target_nav {
  position: fixed;
  z-index: 100;
  top: 50%;
  right: 50%;
  transform: translate(calc(-50% + 300px), -50%);
  z-index: 50;
}

.header__link {
  display: block;
  width: 6px;
  height: 32px;
  background-color: transparent;
  border: 1px solid #000;
  margin-top: 20px;

  &.is-active {
    background-color: #000;
  }
}

.header__item {
  position: relative;
}

.t_nav_tex {
  display: block;
  width: 28px;
  text-align: center;
  position: absolute;
  top: 50%;
  color: var(--color-navy);
  transform: translate(15%, -50%);
}

@media screen and (width <= 599px) {
  .target_nav {
    display: none;
  }
}

.floatMenu,
.target_nav {
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.4s ease,
    visibility 0.4s ease; /* 0.4s はフェードの秒数 */
}

.floatMenu.is-active,
.target_nav.is-active {
  opacity: 1;
  visibility: visible;
}

/* ======================================================================
/* Feature
====================================================================== */
.feature {
  inline-size: 100%;
  block-size: auto;

  & .ttl {
    display: grid;
    place-items: center;
    block-size: 60px;
    color: var(--color-white);
    font-size: 24px;
    background-color: var(--color-brand);
  }

  & ul {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
    padding: 20px;
    border: 3px solid var(--color-brand);
  }
}

/* ======================================================================
/* pointTitle
====================================================================== */
.pointTitle {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 0 10px;
  margin: 0 0 20px;

  & .num {
    display: grid;
    place-items: center;
    inline-size: 100px;
    block-size: 40px;
    background-color: var(--color-brand);

    & p {
      color: var(--color-white);
    }
  }

  & .subTitle {
    font-size: 18px;
    font-weight: bold;
  }
}

/* ======================================================================
/* tabMenu
====================================================================== */
.tabMenu {
  display: flex;
  flex-wrap: nowrap;
  flex-direction: row;
  overflow-x: scroll;
  align-items: center;
  justify-content: flex-start;
  gap: 10px;
  inline-size: 100%;
  margin-block-end: 30px;

  & li {
    flex-shrink: 0;
    inline-size: calc(100% / 4 - 10px);
    cursor: pointer;
    color: var(--color-white);
    padding: 5px 10px;

    &:first-of-type {
      background: #d6b470;
    }

    &:nth-of-type(2) {
      background: #b1c7c8;
    }

    &:nth-of-type(3) {
      background: #cabe78;
    }

    &:nth-of-type(4) {
      background: #e39483;
    }

    &:last-of-type {
      background: #a6a1b1;
    }
  }
}

.tabContent > div {
  display: none;
}
.tabContent > div.is-active {
  display: block;
}

.tabMenu li.is-active {
  font-weight: bold;
  border-bottom: 2px solid var(--color-black);
}

/* =====================================================
/* jsAccordion
===================================================== */
.jsAccordion {
  position: relative;
  cursor: pointer;
  display: grid;
  place-items: center;
  font-size: 20px;
  font-weight: bold;
  color: var(--color-white);
  background: var(--color-black);
  margin-block: 30px 0;
  padding-block: 10px;

  &::before,
  &::after {
    content: "";
    position: absolute;
    inset-inline-end: 20px;
    inset-block-start: 50%;
    inline-size: 15px;
    block-size: 2px;
    background: var(--color-white);
    transform: translateY(-50%);
    transition: transform 0.3s ease;
  }

  &::after {
    transform: translateY(-50%) rotate(90deg);
  }

  &.is-open::after {
    transform: translateY(-50%) rotate(0deg);
    opacity: 0;
  }
}

.jsAccordion-details {
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.3s ease-out;

  & p {
    font-size: 13px;
    margin-block-start: 10px;
  }
}

@media screen and (width <= 767px) {
  .jsAccordion {
    font-size: 14px;

    &::before,
    &::after {
      inset-inline-end: 10px;
    }
  }
}
/* ======================================================================
/* estateMaps
====================================================================== */
.estateMaps {
  inline-size: 100%;

  & iframe {
    inline-size: 100%;
    block-size: 250px;
    aspect-ratio: 2 / 1;
  }
}

/* ======================================================================
/* accessFrame
====================================================================== */
.accessFrame {
  inline-size: 100%;
  block-size: auto;
  margin-block: 50px 0;
  padding: 30px 15px;
  background: var(--color-white);

  & h4 {
    margin-block: 30px 15px;
    padding-inline: 15px;
    font-size: 20px;
  }

  & dl {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    border-block-end: solid 1px var(--color-black);

    &:first-of-type {
      border-block-start: solid 1px var(--color-black);
    }

    & dt {
      inline-size: 120px;
      padding: 15px;
    }

    & dd {
      inline-size: calc(100% - 120px);
      padding: 15px;
    }
  }

  & iframe {
    inline-size: 100%;
    block-size: 250px;
    aspect-ratio: 2 / 1;
    margin-block: 30px 0;
  }
}

/* ======================================================================
/* floatMenu
====================================================================== */
.floatMenu {
  position: fixed;
  inline-size: 100%;
  bottom: 0;
  left: 0;
  z-index: 9999;

  & a {
    display: block;
  }

  & ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: 60px;
    max-inline-size: 500px;
    margin: auto auto;
    font-size: 18px;

    & .phone {
      position: relative;
      display: grid;
      place-items: center;
      color: var(--color-white);
      background: var(--color-navy);
      block-size: 100%;

      &::before {
        position: absolute;
        top: 30%;
        left: 12%;
        content: "";
        inline-size: 25px;
        block-size: 25px;
        background: url(../img/common/icon_phone.svg) center center / cover no-repeat;
      }
    }

    & .reservation {
      position: relative;
      display: grid;
      place-items: center;
      color: var(--color-white);
      background: var(--color-turquoise-blue);
      block-size: 100%;

      &::before {
        position: absolute;
        top: 30%;
        left: 12%;
        content: "";
        inline-size: 25px;
        block-size: 25px;
        background: url(../img/common/icon_reserve.svg) center center / cover no-repeat;
      }
    }
  }
}

@media screen and (width <= 767px) {
  .floatMenu {
    & ul {
      font-size: 16px;
    }
  }
}

/* ======================================================================
/* bgColor
====================================================================== */
.bgColor-turquoise-blue {
  background-color: var(--color-turquoise-blue);
}

.bgColor-navy {
  background-color: var(--color-navy);
}

.bgColor-black {
  background-color: var(--color-black);
}
